Bug 351785 - Crash when clicking 'Configure...' button in Accounts settings
Summary: Crash when clicking 'Configure...' button in Accounts settings
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: accounts-kcm (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
: 351542 352612 352652 353186 353375 353394 353425 353875 354123 354218 354259 354310 354312 354380 354385 354464 354587 354616 354654 354655 354717 354774 354784 354870 354889 354924 355025 355064 355449 355624 355713 355977 356143 356356 356485 356575 357165 357260 357305 357410 357636 357946 358141 358206 358639 358730 358902 359022 359037 359125 359338 359676 359769 359908 360014 360284 360819 360941 360958 361334 362322 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-08-26 08:21 UTC by Dennis Schridde
Modified: 2016-04-29 13:55 UTC (History)
60 users (show)

See Also:
Latest Commit:
Version Fixed In: 15.08.3


Attachments
Plasma crash stacktrace (two-stars, "probably usefull") (8.67 KB, text/plain)
2015-09-15 12:53 UTC, Vadim A. Misbakh-Soloviov (mva)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2015-08-26 08:21:22 UTC
DrKonqi refuses to send my bugreport ("probably not useful"...), thus I'll do it the oldfashioned way:

After updating KDE Apps from 15.04.3 to 15.08, my Telepathy accounts were shown offline and whenever I tried to enable them again, KDE would claim I had none configured. When I changed to Instant Messaging Settings, I saw my accounts. When I clicked "Configure", nothing happened. For none of my accounts (all Jabber or Bonjour). No new window, no crashes, just nothing. Thus I deleted all accounts, and created a new one. I still cannot connect that account. But I can click "Configure" now and it finally has an effect (even if not the desired one): Plasma crashes! See the stacktrace below.

Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f2d6f42b840 (LWP 31691))]

Thread 16 (Thread 0x7f2d55bca700 (LWP 31693)):
#0  0x00007f2d6ae4783f in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f2d65e23adb in cnd_wait (mtx=0x1a990d8, cond=0x1a99100) at /var/tmp/portage/media-libs/mesa-11.0.0_rc1/work/mesa-11.0.0-rc1/include/c11/threads_posix.h:154
#2  pipe_semaphore_wait (sema=0x1a990d8) at /var/tmp/portage/media-libs/mesa-11.0.0_rc1/work/mesa-11.0.0-rc1/src/gallium/auxiliary/os/os_thread.h:259
#3  radeon_drm_cs_emit_ioctl (param=param@entry=0x1a98d90) at /var/tmp/portage/media-libs/mesa-11.0.0_rc1/work/mesa-11.0.0-rc1/src/gallium/winsys/radeon/drm/radeon_drm_winsys.c:648
#4  0x00007f2d65e23167 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-11.0.0_rc1/work/mesa-11.0.0-rc1/include/c11/threads_posix.h:87
#5  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#6  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f2d55181700 (LWP 31694)):
#0  0x00007f2d6b43066d in poll () from /lib64/libc.so.6
#1  0x000000308e80a982 in ?? () from /usr/lib64/libxcb.so.1
#2  0x000000308e80c467 in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007f2d672ce419 in QXcbEventReader::run (this=0x1ae0140) at qxcbconnection.cpp:1105
#4  0x00000030582a3b06 in QThreadPrivate::start (arg=0x1ae0140) at thread/qthread_unix.cpp:337
#5  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#6  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f2d4eb3a700 (LWP 31709)):
#0  0x000000308d08bb6c in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x000000308d04905b in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x000000308d04924c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00000030584e3adc in QEventDispatcherGlib::processEvents (this=0x7f2d480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#4  0x000000305848b472 in QEventLoop::exec (this=this@entry=0x7f2d4eb39d60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x000000305829ee04 in QThread::exec (this=this@entry=0x1bbaca0) at thread/qthread.cpp:503
#6  0x00007f2d6cf5fbb5 in QQmlThreadPrivate::run (this=0x1bbaca0) at qml/ftw/qqmlthread.cpp:141
#7  0x00000030582a3b06 in QThreadPrivate::start (arg=0x1bbaca0) at thread/qthread_unix.cpp:337
#8  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#9  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f2d47fff700 (LWP 31710)):
#0  0x00007f2d6b43066d in poll () from /lib64/libc.so.6
#1  0x000000308d04913c in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x000000308d04924c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00000030584e3adc in QEventDispatcherGlib::processEvents (this=0x7f2d400008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#4  0x000000305848b472 in QEventLoop::exec (this=this@entry=0x7f2d47ffed60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x000000305829ee04 in QThread::exec (this=this@entry=0x1daf120) at thread/qthread.cpp:503
#6  0x00007f2d6cf5fbb5 in QQmlThreadPrivate::run (this=0x1daf120) at qml/ftw/qqmlthread.cpp:141
#7  0x00000030582a3b06 in QThreadPrivate::start (arg=0x1daf120) at thread/qthread_unix.cpp:337
#8  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#9  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f2d45e12700 (LWP 31715)):
#0  0x00007f2d6b4456a2 in __libc_disable_asynccancel () from /lib64/libc.so.6
#1  0x00007f2d6b42c819 in read () from /lib64/libc.so.6
#2  0x000000308d08a790 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x000000308d048c04 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#4  0x000000308d0490e0 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x000000308d04924c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#6  0x00000030584e3adc in QEventDispatcherGlib::processEvents (this=0x7f2d3c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#7  0x000000305848b472 in QEventLoop::exec (this=this@entry=0x7f2d45e11d60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#8  0x000000305829ee04 in QThread::exec (this=this@entry=0x1ee4ec0) at thread/qthread.cpp:503
#9  0x00007f2d6cf5fbb5 in QQmlThreadPrivate::run (this=0x1ee4ec0) at qml/ftw/qqmlthread.cpp:141
#10 0x00000030582a3b06 in QThreadPrivate::start (arg=0x1ee4ec0) at thread/qthread_unix.cpp:337
#11 0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#12 0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f2d37fff700 (LWP 31716)):
#0  0x00007f2d6ae4783f in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f2d6eddbd04 in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007f2d6eddbd49 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#4  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f2cb59e2700 (LWP 31717)):
#0  0x00007f2d6b43066d in poll () from /lib64/libc.so.6
#1  0x000000308d04913c in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x000000308d04924c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00000030584e3adc in QEventDispatcherGlib::processEvents (this=0x7f2cb00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#4  0x000000305848b472 in QEventLoop::exec (this=this@entry=0x7f2cb59e1d10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x000000305829ee04 in QThread::exec (this=this@entry=0x218d5c0) at thread/qthread.cpp:503
#6  0x00007f2d6d8fab96 in QQuickPixmapReader::run (this=0x218d5c0) at util/qquickpixmapcache.cpp:714
#7  0x00000030582a3b06 in QThreadPrivate::start (arg=0x218d5c0) at thread/qthread_unix.cpp:337
#8  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#9  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f2caffff700 (LWP 31718)):
#0  0x00007f2d6ae4783f in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00000030582a4c83 in wait (time=18446744073709551615, this=0x218e270) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=this@entry=0x1ba30d8, mutex=mutex@entry=0x1ba30d0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007f2d6d96794b in takeEvent (wait=true, this=0x1ba30c8) at scenegraph/qsgthreadedrenderloop.cpp:232
#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x1ba3050) at scenegraph/qsgthreadedrenderloop.cpp:643
#5  0x00007f2d6d967d30 in QSGRenderThread::run (this=0x1ba3050) at scenegraph/qsgthreadedrenderloop.cpp:672
#6  0x00000030582a3b06 in QThreadPrivate::start (arg=0x1ba3050) at thread/qthread_unix.cpp:337
#7  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#8  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f2ca2aca700 (LWP 31719)):
#0  0x00007fff5257da9d in clock_gettime ()
#1  0x00007f2d6b445c6d in clock_gettime () from /lib64/libc.so.6
#2  0x0000003058358306 in qt_clock_gettime (ts=0x7f2ca2ac9aa0, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:161
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:170
#5  0x00000030584e1619 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f2c9c002cd0) at kernel/qtimerinfo_unix.cpp:84
#6  0x00000030584e1b6d in QTimerInfoList::timerWait (this=0x7f2c9c002cd0, tm=...) at kernel/qtimerinfo_unix.cpp:379
#7  0x00000030584e2f56 in timerSourcePrepareHelper (timeout=0x7f2ca2ac9b74, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:127
#8  timerSourcePrepare (source=<optimized out>, timeout=0x7f2ca2ac9b74) at kernel/qeventdispatcher_glib.cpp:160
#9  0x000000308d0486ac in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#10 0x000000308d049068 in ?? () from /usr/lib64/libglib-2.0.so.0
#11 0x000000308d04924c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00000030584e3adc in QEventDispatcherGlib::processEvents (this=0x7f2c9c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#13 0x000000305848b472 in QEventLoop::exec (this=this@entry=0x7f2ca2ac9d40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x000000305829ee04 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#15 0x00007f2ca3725627 in KCupsConnection::run() () from /usr/lib64/libkcupslib.so
#16 0x00000030582a3b06 in QThreadPrivate::start (arg=0x2a656b0) at thread/qthread_unix.cpp:337
#17 0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#18 0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f2ca22c9700 (LWP 31720)):
#0  0x00007f2d6ae4783f in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00000030582a4c83 in wait (time=18446744073709551615, this=0x2bb5890) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=this@entry=0x2b873e8, mutex=mutex@entry=0x2b873e0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007f2d6d96794b in takeEvent (wait=true, this=0x2b873d8) at scenegraph/qsgthreadedrenderloop.cpp:232
#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x2b87360) at scenegraph/qsgthreadedrenderloop.cpp:643
#5  0x00007f2d6d967d30 in QSGRenderThread::run (this=0x2b87360) at scenegraph/qsgthreadedrenderloop.cpp:672
#6  0x00000030582a3b06 in QThreadPrivate::start (arg=0x2b87360) at thread/qthread_unix.cpp:337
#7  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#8  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f2ca1ac8700 (LWP 31721)):
#0  0x00007f2d6ae4783f in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00000030582a4c83 in wait (time=18446744073709551615, this=0x28db1e0) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=this@entry=0x2d32c18, mutex=mutex@entry=0x2d32c10, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007f2d6d96794b in takeEvent (wait=true, this=0x2d32c08) at scenegraph/qsgthreadedrenderloop.cpp:232
#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x2d32b90) at scenegraph/qsgthreadedrenderloop.cpp:643
#5  0x00007f2d6d967d30 in QSGRenderThread::run (this=0x2d32b90) at scenegraph/qsgthreadedrenderloop.cpp:672
#6  0x00000030582a3b06 in QThreadPrivate::start (arg=0x2d32b90) at thread/qthread_unix.cpp:337
#7  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#8  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f2c8f3c9700 (LWP 31982)):
#0  0x00007f2d6ae4783f in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00000030582a4c83 in wait (time=18446744073709551615, this=0x3100ec0) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=this@entry=0x30dc068, mutex=mutex@entry=0x30dc060, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007f2d6d96794b in takeEvent (wait=true, this=0x30dc058) at scenegraph/qsgthreadedrenderloop.cpp:232
#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x30dbfe0) at scenegraph/qsgthreadedrenderloop.cpp:643
#5  0x00007f2d6d967d30 in QSGRenderThread::run (this=0x30dbfe0) at scenegraph/qsgthreadedrenderloop.cpp:672
#6  0x00000030582a3b06 in QThreadPrivate::start (arg=0x30dbfe0) at thread/qthread_unix.cpp:337
#7  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#8  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f2c8fbca700 (LWP 9847)):
#0  0x00007f2d6ae4783f in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00000030582a4c83 in wait (time=18446744073709551615, this=0x2ee5ea0) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=this@entry=0x35aff28, mutex=mutex@entry=0x35aff20, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007f2d6d96794b in takeEvent (wait=true, this=0x35aff18) at scenegraph/qsgthreadedrenderloop.cpp:232
#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x35afea0) at scenegraph/qsgthreadedrenderloop.cpp:643
#5  0x00007f2d6d967d30 in QSGRenderThread::run (this=0x35afea0) at scenegraph/qsgthreadedrenderloop.cpp:672
#6  0x00000030582a3b06 in QThreadPrivate::start (arg=0x35afea0) at thread/qthread_unix.cpp:337
#7  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#8  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f2c7ffff700 (LWP 10556)):
#0  0x00007f2d6b43066d in poll () from /lib64/libc.so.6
#1  0x000000308d04913c in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x000000308d0494aa in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#3  0x0000003097adaf06 in ?? () from /usr/lib64/libgio-2.0.so.0
#4  0x000000308d06eb05 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#6  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f2c7f3b2700 (LWP 10557)):
#0  0x00007f2d6b4350c9 in syscall () from /lib64/libc.so.6
#1  0x000000308d08bdbd in g_cond_wait_until () from /usr/lib64/libglib-2.0.so.0
#2  0x000000308d01eaf1 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x000000308d01f0bb in g_async_queue_timeout_pop () from /usr/lib64/libglib-2.0.so.0
#4  0x000000308d06f533 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x000000308d06eb05 in ?? () from /usr/lib64/libglib-2.0.so.0
#6  0x00007f2d6ae422fc in start_thread () from /lib64/libpthread.so.0
#7  0x00007f2d6b4392fd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f2d6f42b840 (LWP 31691)):
[KCrash Handler]
#6  0x00007f2c7f5f0b7b in KAccountsUiProvider::showNewAccountDialog (this=<optimized out>) at /var/tmp/portage/kde-apps/ktp-accounts-kcm-15.08.0/work/ktp-accounts-kcm-15.08.0/plugins/kaccounts/kaccounts-ui-provider.cpp:247
#7  0x00000030584bc138 in call (a=<optimized out>, r=0x34298f0, this=0x3a02370) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:124
#8  QMetaObject::activate (sender=0x34298f0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3702
#9  0x00007f2c7f5f5b98 in KAccountsUiProvider::init (this=0x34298f0, type=<optimized out>) at /var/tmp/portage/kde-apps/ktp-accounts-kcm-15.08.0/work/ktp-accounts-kcm-15.08.0/plugins/kaccounts/kaccounts-ui-provider.cpp:109
#10 0x00000030584bc138 in call (a=<optimized out>, r=0x3e2eb00, this=0x3db44a0) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:124
#11 QMetaObject::activate (sender=0x3e2eb00, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff5249f4b0) at kernel/qobject.cpp:3702
#12 0x000000305a6f27fa in ?? () at .moc/moc_qwindowcontainer_p.cpp:86 from /usr/lib64/libQt5Widgets.so.5
#13 0x0000000003e2eb00 in ?? ()
#14 0x0000000003a803b0 in ?? ()
#15 0x0000000000000000 in ?? ()

$ sudo emerge --info net-voip/telepathy-gabble net-libs/telepathy-qt net-libs/telepathy-logger-qt kde-apps/ktp-accounts-kcm
Portage 2.2.20.1 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-4.9.3, glibc-2.21-r1, 4.1.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.1.5-gentoo-x86_64-AMD_A10-7800_Radeon_R7,_12_Compute_Cores_4C+8G-with-gentoo-2.2
KiB Mem:    15315596 total,   4863700 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Tue, 25 Aug 2015 19:15:01 +0000
sh bash 4.3_p42
ld GNU ld (Gentoo 2.25.1 p1.0) 2.25.1
ccache version 3.2.3 [disabled]
app-shells/bash:          4.3_p42::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.22.0::gentoo
dev-lang/python:          2.7.10::gentoo, 3.3.5-r1::gentoo, 3.4.3::gentoo
dev-util/ccache:          3.2.3::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
dev-util/pkgconfig:       0.28-r3::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.12.6::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.21-r1::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000

kde
    location: /var/lib/layman/kde
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/kde.git
    masters: gentoo
    priority: 50

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    sync-type: laymansync
    sync-uri: git://github.com/cschwan/sage-on-gentoo.git
    masters: gentoo
    priority: 50

local
    location: /var/cache/portage/local
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=bdver3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=bdver3"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --nospinner"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildsyspkg compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j6"
PKGDIR="/var/cache/portage/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacplus aacs acl acpi alsa amd64 audit avahi bash-completion bdplus berkdb bluetooth bluray branding bzip2 cairo caps cdda cddb cdio cdr celt cjk cli cracklib crypt cups cxx dbus declarative dirac dri dts dvb dvd dvdr egl emboss encode exif fam fax ffmpeg firefox flac fontconfig fortran gdbm gif glamor gles gles2 gmp gpm gstreamer gtk ibus iconv ipv6 jpeg jpeg2k kde kipi ladspa latex lcms ldap libnotify libsecret lua_target_lua5-2 lv2 lz4 lzma lzo mad mmx mmxext mng modemmanager modplug modules mp3 mp4 mpeg mplayer mtp multilib multitarget mysql ncurses netlink networkmanager nls nptl ogg openal opencl openexr opengl openmax openmp opus pam pango pch pcre pdf phonon plasma png policykit ppds pulseaudio qml qt3support qt4 qt5 readline rtmp samba scanner schroedinger sctp sdl seccomp semantic-desktop session speex spell sse sse2 ssl startup-notification subversion svg systemd tcpd theora threads tiff truetype udev udisks unicode upnp upnp-av upower usb v4l vaapi vdpau vorbis vpx wavpack wayland webp widgets x264 x265 xattr xcb xcomposite xinerama xml xscreensaver xv xvid xz zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="stage words flow sheets gemini" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext sse sse2 sse3" DRACUT_MODULES="btrfs caps systemd" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="coreboot efi-64 pc" INPUT_DEVICES="evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en en_GB ar fa" LIRC_DEVICES="devinput" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="radeon radeonsi r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

net-voip/telepathy-gabble-0.18.3::gentoo was built with the following:
USE="jingle plugins -gnutls -test" ABI_X86="64"


net-libs/telepathy-qt-0.9.6.1::gentoo was built with the following:
USE="farstream qt4 qt5 -debug -test" ABI_X86="64"


net-libs/telepathy-logger-qt-15.04.0::kde was built with the following:
USE="-debug" ABI_X86="64"


kde-apps/ktp-accounts-kcm-15.08.0::kde was built with the following:
USE="-debug -experimental" ABI_X86="64"
CFLAGS="-pipe -O2 -march=bdver3 -g"
CXXFLAGS="-pipe -O2 -march=bdver3 -g"

Reproducible: Always
Comment 1 Dennis Schridde 2015-08-26 15:08:43 UTC
P.S: After rebooting, the "Configure" button again does nothing. Not even produce a crash.
Comment 2 Martin Klapetek 2015-08-26 15:44:24 UTC
Thanks for the report

Do you have telepathy-accounts-signon installed?
Comment 3 Dennis Schridde 2015-08-26 20:43:53 UTC
I have these installed:
[I] kde-apps/signon-kwallet-extension [1] (15.08.0(5)@26/08/15): KWallet extension for signond
[I] net-libs/signon-oauth2 [1] (0.21@23/06/15): OAuth2 plugin for Signon daemon
[I] net-libs/signon-ui [1] (0.15@23/06/15): Signon UI
[I] net-libs/signond [1] (8.57@23/06/15): Signon daemon for libaccounts-glib

I don't think that's what you mean?

There is no "telepathy-accounts-signon" available in Gentoo and the KDE overlays... If you can point me to a specific source repository, I'll ask the maintainers to package it.
Comment 4 Martin Klapetek 2015-08-26 20:54:18 UTC
https://gitlab.com/accounts-sso/telepathy-accounts-signon

This is a crucial component, KTp will not work without that.

I'll try to ping the kde-packagers list again.
Comment 5 Dennis Schridde 2015-08-26 21:40:15 UTC
Apparently the issue is known to Gentoo KDE packagers:

* https://bugs.gentoo.org/show_bug.cgi?id=557544
* https://bugs.gentoo.org/show_bug.cgi?id=557546
* https://bugs.gentoo.org/show_bug.cgi?id=557552

This is probably why the KDE Apps 15.08 packages (KTP included) are still masked...

But maybe, while they will hopefully package signon soon, you could fix the Accounts KCM to not crash and also give some kind of feedback, instead of doing nothing when one presses the "Configure" button?
Comment 6 Alex Merry 2015-09-13 14:47:32 UTC
*** Bug 352612 has been marked as a duplicate of this bug. ***
Comment 7 Alex Merry 2015-09-13 14:50:32 UTC
NB: I consistently get the crash when I try to configure an XMPP account (haven't tried any other accounts) using KTp built from sources on ArchLinux. I definitely have telepathy-accounts-signon installed. Empathy seems to work just fine.
Comment 8 Vadim A. Misbakh-Soloviov (mva) 2015-09-15 12:49:06 UTC
Same here. I have telepathy-accounts-signon-1.0 installed (and libsignon-glib-1.12 as dependency), also signon-kwallet-extension and all ktp-* from git (built 10.09.15). And still getting crashes plasma (and systemsettings, if opening dialog from there).
Will post stacktrace from drkonqi in a few minutes.
Comment 9 Vadim A. Misbakh-Soloviov (mva) 2015-09-15 12:53:07 UTC
Created attachment 94575 [details]
Plasma crash stacktrace (two-stars, "probably usefull")

Unfortunatelly, I can't get drKonqi paste it here (when I clicking on button "i think it's related" it does nothing), so I saved it from there and posting manually.
Comment 10 Jeremy Whiting 2015-09-15 22:14:09 UTC
I'm getting the same crash here with arch packages of all dependencies and all of KTp built with kdesrc-build. I do have telepathy-accounts-signon also.
Comment 11 Martin Klapetek 2015-09-15 23:01:34 UTC
Ok I see why it crashes, I'm on it.
Comment 12 Martin Klapetek 2015-09-17 16:11:43 UTC
Git commit 07c7cc5309e11171b2e552678d58257ccfc44e42 by Martin Klapetek.
Committed on 17/09/2015 at 16:11.
Pushed by mklapetek into branch 'master'.

[kaccounts] Emit configUiReady() when config UI is ready

Should prevent the crash when clicking the Configure button

(requires kaccounts-integration 15.08.2)
FIXED-IN: 15.08.2

M  +2    -2    plugins/kaccounts/kaccounts-ui-provider.cpp

http://commits.kde.org/telepathy-accounts-kcm/07c7cc5309e11171b2e552678d58257ccfc44e42
Comment 13 Martin Klapetek 2015-09-23 14:30:46 UTC
*** Bug 352652 has been marked as a duplicate of this bug. ***
Comment 14 Martin Klapetek 2015-09-23 14:31:25 UTC
*** Bug 351542 has been marked as a duplicate of this bug. ***
Comment 15 Martin Klapetek 2015-09-28 15:05:49 UTC
*** Bug 353186 has been marked as a duplicate of this bug. ***
Comment 16 Martin Klapetek 2015-10-05 13:51:11 UTC
*** Bug 353425 has been marked as a duplicate of this bug. ***
Comment 17 Eric Hameleers 2015-10-14 09:27:01 UTC
I compared the published ktp-accounts-kcm-15.08.2 source tarball against the above patch,

Apparently this fix was not applied to the 15.08.2 branch of ktp-accounts-kcm.  As a result, the KDE Telepathy in Applications 15.08.2 is still crashing.
Comment 18 Martin Klapetek 2015-10-14 13:27:52 UTC
*** Bug 353875 has been marked as a duplicate of this bug. ***
Comment 19 Martin Klapetek 2015-10-14 13:44:12 UTC
Git commit 2a702004da2484694f3d1418959f387a4f54967c by Martin Klapetek.
Committed on 14/10/2015 at 13:43.
Pushed by mklapetek into branch 'Applications/15.08'.

[kaccounts] Emit configUiReady() when config UI is ready

Should prevent the crash when clicking the Configure button

(requires kaccounts-integration 15.08.2)
FIXED-IN: 15.08.2

M  +2    -2    plugins/kaccounts/kaccounts-ui-provider.cpp

http://commits.kde.org/telepathy-accounts-kcm/2a702004da2484694f3d1418959f387a4f54967c
Comment 20 Martin Klapetek 2015-10-14 13:45:58 UTC
@Eric - ah drat, you are correct. Not sure how did that happen. So looks like it will be in .3 then. Sorry about that.
Comment 21 Eric Hameleers 2015-10-14 13:49:47 UTC
I have already used the patch to provide updated ktp-accounts-kcm packages for Slackware, thanks to people who reported the crash to me.
Yay for applying it to the 15.08 branch even if it was a bit overdue ;-)
Comment 22 Vadim A. Misbakh-Soloviov (mva) 2015-10-15 14:26:00 UTC
Uhm... I just built ktp-* from git HEAD and it still crashes :(
Comment 23 Vadim A. Misbakh-Soloviov (mva) 2015-10-15 14:45:03 UTC
Uhm, sorry. (semi)False alarm: just ktp-accounts-kcm (from HEAD) is failed to build:



[ 99%] Linking CXX shared module ktpaccountskcm_plugin_haze.so
/usr/lib64/ccache/bin/x86_64-pc-linux-gnu-g++  -fPIC -O2 -march=x86-64 -pipe  -std=c++0x -fno-exceptions -Wall -Wextra -Wcast-align -Wchar-subscripts -Wformat-security -Wno-long-long -Wpointer-arith -Wundef -Wnon-virtual-dtor -Woverloaded-virtual -Werror=return-type -pedantic -std=c++0x -fno-exceptions -Wall -Wextra -Wcast-align -Wchar-subscripts -Wformat-security -Wno-long-long -Wpointer-arith -Wundef -Wnon-virtual-dtor -Woverloaded-virtual -Werror=return-type -Wl,--no-undefined -Wl,--fatal-warnings -Wl,--enable-new-dtags -Wl,--no-undefined -Wl,--fatal-warnings -Wl,--enable-new-dtags  -Wl,-O1,--as-needed -shared -Wl,-soname,ktpaccountskcm_plugin_haze.so -o ktpaccountskcm_plugin_haze.so CMakeFiles/ktpaccountskcm_plugin_haze.dir/haze-account-ui-plugin.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/haze-icq-account.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/icq-main-options-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/icq-server-settings-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/haze-myspaceim-account-ui.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/myspaceim-main-options-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/myspaceim-advanced-settings-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/haze-skype-account-ui.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/skype-main-options-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/skype-advanced-settings-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/haze-yahoo-account.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/yahoo-main-options-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/yahoo-server-settings-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/aim-main-options-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/haze-aim-account.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/aim-server-settings-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/msn-main-options-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/haze-msn-account.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/haze-groupwise-account.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/groupwise-main-options-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/groupwise-advanced-settings-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/haze-steam-account.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/steam-main-options-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/haze-sipe-account.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/sipe-main-options-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/sipe-advanced-settings-widget.cpp.o CMakeFiles/ktpaccountskcm_plugin_haze.dir/ktpaccountskcm_plugin_haze_automoc.cpp.o ../../src/KCMTelepathyAccounts/libktpaccountskcminternal.so.15.07.80 /usr/lib64/libtelepathy-qt5.so.0.0.9.7 /usr/lib64/libQt5Network.so.5.4.2 /usr/lib64/libKF5IconThemes.so.5.15.0 /usr/lib64/libKF5ConfigWidgets.so.5.15.0 /usr/lib64/libKF5Codecs.so.5.15.0 /usr/lib64/libKF5WidgetsAddons.so.5.15.0 /usr/lib64/libKF5ConfigGui.so.5.15.0 /usr/lib64/libKF5Auth.so.5.15.0 /usr/lib64/libKF5ItemViews.so.5.15.0 /usr/lib64/libQt5Widgets.so.5.4.2 /usr/lib64/libQt5Gui.so.5.4.2 /usr/lib64/libQt5DBus.so.5.4.2 /usr/lib64/libKF5Service.so.5.15.0 /usr/lib64/libKF5I18n.so.5.15.0 /usr/lib64/libQt5Xml.so.5.4.2 /usr/lib64/libKF5ConfigCore.so.5.15.0 /usr/lib64/libKF5CoreAddons.so.5.15.0 /usr/lib64/libQt5Core.so.5.4.2 -Wl,-rpath,/var/tmp/portage/kde-apps/ktp-accounts-kcm-9999/work/ktp-accounts-kcm-9999_build/src/KCMTelepathyAccounts:
[ 99%] Built target ktpaccountskcm_plugin_haze
In file included from /var/tmp/portage/kde-apps/ktp-accounts-kcm-9999/work/ktp-accounts-kcm-9999/src/KCMTelepathyAccounts/ParameterEditModel:4:0,
                 from /var/tmp/portage/kde-apps/ktp-accounts-kcm-9999/work/ktp-accounts-kcm-9999/plugins/kaccounts/kaccounts-ui-provider.cpp:23:
/var/tmp/portage/kde-apps/ktp-accounts-kcm-9999/work/ktp-accounts-kcm-9999/src/KCMTelepathyAccounts/parameter-edit-model.h:40:129: warning: extra ';' [-Wpedantic]
     Q_DISABLE_COPY(ParameterEditModel);
                                                                                                                                 ^
In file included from /var/tmp/portage/kde-apps/ktp-accounts-kcm-9999/work/ktp-accounts-kcm-9999/plugins/kaccounts/kaccounts-ui-provider.cpp:24:0:
/var/tmp/portage/kde-apps/ktp-accounts-kcm-9999/work/ktp-accounts-kcm-9999/src/KCMTelepathyAccounts/account-edit-widget.h:74:125: warning: extra ';' [-Wpedantic]
     Q_DISABLE_COPY(AccountEditWidget);
                                                                                                                             ^
In file included from /usr/include/signon-qt5/SignOn/identity.h:40:0,
                 from /usr/include/signon-qt5/SignOn/Identity:1,
                 from /var/tmp/portage/kde-apps/ktp-accounts-kcm-9999/work/ktp-accounts-kcm-9999/plugins/kaccounts/kaccounts-ui-provider.cpp:29:
/usr/include/signon-qt5/SignOn/authsession.h:43:2: warning: extra ';' [-Wpedantic]
 };
  ^
/var/tmp/portage/kde-apps/ktp-accounts-kcm-9999/work/ktp-accounts-kcm-9999/plugins/kaccounts/kaccounts-ui-provider.cpp: In member function 'virtual void KAccountsUiProvider::init(KAccountsUiPlugin::UiType)':
/var/tmp/portage/kde-apps/ktp-accounts-kcm-9999/work/ktp-accounts-kcm-9999/plugins/kaccounts/kaccounts-ui-provider.cpp:109:27: error: 'configUiReady' was not declared in this scope
             Q_EMIT configUiReady();
                           ^
/var/tmp/portage/kde-apps/ktp-accounts-kcm-9999/work/ktp-accounts-kcm-9999/plugins/kaccounts/kaccounts-ui-provider.cpp:112:95: error: 'configUiReady' is not a member of 'KAccountsUiProvider'
             connect(d->accountManager->becomeReady(), &Tp::PendingOperation::finished, this, &KAccountsUiProvider::configUiReady);
                                                                                               ^
plugins/kaccounts/CMakeFiles/ktpaccountskcm_plugin_kaccounts.dir/build.make:62: recipe for target 'plugins/kaccounts/CMakeFiles/ktpaccountskcm_plugin_kaccounts.dir/kaccounts-ui-provider.cpp.o' failed
make[2]: *** [plugins/kaccounts/CMakeFiles/ktpaccountskcm_plugin_kaccounts.dir/kaccounts-ui-provider.cpp.o] Error 1
CMakeFiles/Makefile2:831: recipe for target 'plugins/kaccounts/CMakeFiles/ktpaccountskcm_plugin_kaccounts.dir/all' failed
make[1]: *** [plugins/kaccounts/CMakeFiles/ktpaccountskcm_plugin_kaccounts.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
Comment 24 Martin Klapetek 2015-10-15 14:59:02 UTC
You need to have kaccounts-integration at least 15.08.2 built and installed first.
Comment 25 Vadim A. Misbakh-Soloviov (mva) 2015-10-15 17:43:14 UTC
seems so: installed version was installed from HEAD at 11:30:14 09.09.2015 UTC. AFAIU, it was before .2 release?
Comment 26 Martin Klapetek 2015-10-15 17:55:16 UTC
I don't understand what you're asking, but please let's not clutter this report with custom build user support questions further (about 15 people get email notifications for every comment).

If you need help setting things up manually, ping mck182 at #kde-telepathy and let's solve it there, thanks.
Comment 27 Martin Klapetek 2015-10-21 17:26:27 UTC
*** Bug 354123 has been marked as a duplicate of this bug. ***
Comment 28 Martin Klapetek 2015-10-22 20:25:26 UTC
*** Bug 354218 has been marked as a duplicate of this bug. ***
Comment 29 David Edmundson 2015-10-24 08:02:43 UTC
*** Bug 354259 has been marked as a duplicate of this bug. ***
Comment 30 David Edmundson 2015-10-24 18:55:38 UTC
*** Bug 354312 has been marked as a duplicate of this bug. ***
Comment 31 David Edmundson 2015-10-24 18:55:42 UTC
*** Bug 354310 has been marked as a duplicate of this bug. ***
Comment 32 David Edmundson 2015-10-26 14:33:57 UTC
*** Bug 354380 has been marked as a duplicate of this bug. ***
Comment 33 Martin Klapetek 2015-10-27 14:05:48 UTC
*** Bug 354455 has been marked as a duplicate of this bug. ***
Comment 34 David Edmundson 2015-10-27 21:55:38 UTC
*** Bug 354464 has been marked as a duplicate of this bug. ***
Comment 35 h.k.ghost 2015-10-28 03:34:44 UTC
Glad to see this fixed. Now waiting on the updated packages to be released. However, I wonder if developers tend to meet and discuss how to prevent simple defect escapes like these? It seems like a simple test, even if manual while a (hopefully) automated one is put in place, would've uncovered the problem before release?
Comment 36 Martin Klapetek 2015-10-28 04:08:02 UTC
Possibly. That's why there are Beta releases prior to the main releases. The beta for 15.08 was out July 22nd, this bug report came in August 28th. That is 9 days after the release and a whole month plus one week after the Beta.

Then there is exactly 1 person working on it and that 1 person has many other projects to keep up with. So this heavily relies on user testing, which unfortunately didn't come with beta and so it wasn't caught in time.

So. Bugs happen. Also a hint to give a try to beta releases and test out and report everything ;)
Comment 37 Christoph Feck 2015-10-31 01:33:29 UTC
*** Bug 354385 has been marked as a duplicate of this bug. ***
Comment 38 Christoph Feck 2015-10-31 01:35:54 UTC
*** Bug 354587 has been marked as a duplicate of this bug. ***
Comment 39 Martin Klapetek 2015-11-03 15:04:52 UTC
*** Bug 353375 has been marked as a duplicate of this bug. ***
Comment 40 Martin Klapetek 2015-11-03 15:05:21 UTC
*** Bug 354717 has been marked as a duplicate of this bug. ***
Comment 41 Martin Klapetek 2015-11-03 15:05:52 UTC
*** Bug 354654 has been marked as a duplicate of this bug. ***
Comment 42 Martin Klapetek 2015-11-03 15:06:24 UTC
*** Bug 354655 has been marked as a duplicate of this bug. ***
Comment 43 Martin Klapetek 2015-11-03 15:06:52 UTC
*** Bug 354616 has been marked as a duplicate of this bug. ***
Comment 44 Martin Klapetek 2015-11-03 15:07:19 UTC
*** Bug 354784 has been marked as a duplicate of this bug. ***
Comment 45 Martin Klapetek 2015-11-03 15:08:04 UTC
*** Bug 353394 has been marked as a duplicate of this bug. ***
Comment 46 Martin Klapetek 2015-11-03 15:19:58 UTC
*** Bug 354774 has been marked as a duplicate of this bug. ***
Comment 47 David Edmundson 2015-11-05 01:22:54 UTC
*** Bug 354870 has been marked as a duplicate of this bug. ***
Comment 48 David Edmundson 2015-11-05 19:08:52 UTC
*** Bug 354889 has been marked as a duplicate of this bug. ***
Comment 49 David Edmundson 2015-11-08 20:02:32 UTC
*** Bug 355025 has been marked as a duplicate of this bug. ***
Comment 50 David Edmundson 2015-11-09 01:06:13 UTC
*** Bug 355064 has been marked as a duplicate of this bug. ***
Comment 51 Martin Klapetek 2015-11-09 17:11:35 UTC
*** Bug 354924 has been marked as a duplicate of this bug. ***
Comment 52 Christoph Feck 2015-11-16 21:18:50 UTC
*** Bug 355449 has been marked as a duplicate of this bug. ***
Comment 53 Christoph Feck 2015-11-20 13:00:50 UTC
*** Bug 355624 has been marked as a duplicate of this bug. ***
Comment 54 David Edmundson 2015-11-22 01:52:42 UTC
*** Bug 355713 has been marked as a duplicate of this bug. ***
Comment 55 David Edmundson 2015-12-01 14:24:57 UTC
*** Bug 356143 has been marked as a duplicate of this bug. ***
Comment 56 Marco Martin 2015-12-03 16:18:43 UTC
*** Bug 355977 has been marked as a duplicate of this bug. ***
Comment 57 Martin Klapetek 2015-12-07 19:52:17 UTC
*** Bug 356356 has been marked as a duplicate of this bug. ***
Comment 58 David Edmundson 2015-12-11 11:40:11 UTC
*** Bug 356485 has been marked as a duplicate of this bug. ***
Comment 59 David Edmundson 2015-12-12 21:45:48 UTC
*** Bug 356575 has been marked as a duplicate of this bug. ***
Comment 60 David Edmundson 2015-12-27 15:07:36 UTC
*** Bug 357165 has been marked as a duplicate of this bug. ***
Comment 61 David Edmundson 2015-12-28 15:20:08 UTC
*** Bug 357260 has been marked as a duplicate of this bug. ***
Comment 62 David Edmundson 2016-01-04 13:12:57 UTC
*** Bug 357410 has been marked as a duplicate of this bug. ***
Comment 63 David Edmundson 2016-01-08 13:12:05 UTC
*** Bug 357636 has been marked as a duplicate of this bug. ***
Comment 64 David Edmundson 2016-01-14 00:19:57 UTC
*** Bug 357946 has been marked as a duplicate of this bug. ***
Comment 65 David Edmundson 2016-01-18 10:29:14 UTC
*** Bug 358141 has been marked as a duplicate of this bug. ***
Comment 66 David Edmundson 2016-01-19 12:03:53 UTC
*** Bug 358206 has been marked as a duplicate of this bug. ***
Comment 67 Sergio 2016-01-20 10:15:19 UTC
I see the same issue with plasma 5.5.3 and framework 5.18.0 with the latest kubuntu updates on ubuntu 15.10. Pressing configure crashes plasma. Is there anything that I am missing?
Comment 68 Martin Klapetek 2016-01-22 15:13:28 UTC
kaccounts-integration 15.12 and kde-telepathy-accounts-kcm 15.12, perhaps.
Comment 69 David Edmundson 2016-01-27 15:42:19 UTC
*** Bug 358639 has been marked as a duplicate of this bug. ***
Comment 70 David Edmundson 2016-02-01 18:58:28 UTC
*** Bug 358730 has been marked as a duplicate of this bug. ***
Comment 71 Bhushan Shah 2016-02-02 05:39:50 UTC
*** Bug 358902 has been marked as a duplicate of this bug. ***
Comment 72 Martin Klapetek 2016-02-03 19:21:34 UTC
*** Bug 357305 has been marked as a duplicate of this bug. ***
Comment 73 David Edmundson 2016-02-05 19:13:45 UTC
*** Bug 359037 has been marked as a duplicate of this bug. ***
Comment 74 David Edmundson 2016-02-05 19:14:55 UTC
*** Bug 359022 has been marked as a duplicate of this bug. ***
Comment 75 Martin Klapetek 2016-02-08 14:47:13 UTC
*** Bug 359125 has been marked as a duplicate of this bug. ***
Comment 76 Martin Klapetek 2016-02-13 01:42:10 UTC
*** Bug 359338 has been marked as a duplicate of this bug. ***
Comment 77 Martin Klapetek 2016-02-23 19:14:48 UTC
*** Bug 359676 has been marked as a duplicate of this bug. ***
Comment 78 David Edmundson 2016-02-25 00:07:53 UTC
*** Bug 359769 has been marked as a duplicate of this bug. ***
Comment 79 David Edmundson 2016-02-29 11:11:34 UTC
*** Bug 359908 has been marked as a duplicate of this bug. ***
Comment 80 Martin Klapetek 2016-03-07 16:04:07 UTC
*** Bug 360014 has been marked as a duplicate of this bug. ***
Comment 81 Martin Klapetek 2016-03-09 18:54:03 UTC
*** Bug 360284 has been marked as a duplicate of this bug. ***
Comment 82 Martin Klapetek 2016-03-21 22:01:40 UTC
*** Bug 360819 has been marked as a duplicate of this bug. ***
Comment 83 David Edmundson 2016-03-28 22:50:12 UTC
*** Bug 360958 has been marked as a duplicate of this bug. ***
Comment 84 David Edmundson 2016-04-02 06:54:36 UTC
*** Bug 360941 has been marked as a duplicate of this bug. ***
Comment 85 David Edmundson 2016-04-03 20:27:38 UTC
*** Bug 361334 has been marked as a duplicate of this bug. ***
Comment 86 David Edmundson 2016-04-29 13:55:56 UTC
*** Bug 362322 has been marked as a duplicate of this bug. ***